package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.FileManageDO;
import com.simuwang.base.pojo.dto.query.FileManagePageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * FileName: FileManageMapper
 * Author:   chenjianhua
 * Date:     2024/12/18 17:18
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface FileManageMapper {
    FileManageDO getFileInfoByFileId(@Param("fileId") Long fileId);

    void saveFileManage(FileManageDO fileManageDO);

    void updateFileManage(FileManageDO fileManageDO);

    List<FileManageDO> searchFileManage(FileManagePageQuery fileManagePageQuery);

    long countFileManage(FileManagePageQuery fileManagePageQuery);

    void changeFileSourceType(@Param("idList") List<Integer> fileIdList, @Param("fileType")Integer fileType,@Param("sourceType")Integer sourceType, @Param("userId")Integer userId);

    void batchUpdateFileManageInfo(@Param("idList")List<Integer> fileIdList,@Param("fundId") String fundId, @Param("fundName")String fundName,  @Param("registerNumber")String registerNumber,@Param("sourceType")Integer sourceType,  @Param("userId")Integer userId);

}
